<?xml version="1.0" standalone="yes"?>
<xs:schema id="bd_notasAlumnos" xmlns="" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
  <xs:element name="bd_notasAlumnos" msdata:IsDataSet="true" msdata:UseCurrentLocale="true">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">

        <xs:element name="alumnos">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id_alumno" type="xs:int" />
              <xs:element name="nombre">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>

        <xs:element name="asignaturas">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id_asignatura" type="xs:int" />
              <xs:element name="nombre">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="60" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>

        <xs:element name="alums_asigs">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="id_alumno" type="xs:int" />
              <xs:element name="id_asignatura" type="xs:int" />
              <xs:element name="nota" type="xs:float" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>

      </xs:choice>
    </xs:complexType>

    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//alumnos" />
      <xs:field xpath="id_alumno" />
    </xs:unique>

    <xs:unique name="Constraint2" msdata:PrimaryKey="true">
      <xs:selector xpath=".//asignaturas" />
      <xs:field xpath="id_asignatura" />
    </xs:unique>

    <xs:unique name="Constraint3" msdata:PrimaryKey="true">
      <xs:selector xpath=".//alums_asigs" />
      <xs:field xpath="id_alumno" />
      <xs:field xpath="id_asignatura" />
    </xs:unique>
  </xs:element>
</xs:schema>
